<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <link rel="stylesheet" href="./style.css">
  <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.0.0-beta2/css/all.min.css" integrity="sha512-YWzhKL2whUzgiheMoBFwW8CKV4qpHQAEuvilg9FAn5VJUDwKZZxkJNuGM4XkWuk94WCrrwslk8yWNGmY1EduTA==" crossorigin="anonymous" referrerpolicy="no-referrer" />
  <title>Document</title>
</head>
<body>
  <div id="message" class="main">
    
  </div>
  <div class="btn">
    <div onclick="showSuccess()" class="btn__display btn__success">Success</div>
    <div onclick="showInfor()" class="btn__display btn__info">Infor</div>
    <div onclick="showWarning()" class="btn__display btn__warning">Warning</div>
  </div>
  <!-- <div class="message message--success">
    <div class="message__icon">
      <i class="fas fa-check-circle"></i>
    </div>
    <div class="message__notification">
      <h4>Success</h4>
      <p>Anyone with access can view your invited visitors</p>
    </div>
    <div class="message__close">
      <i class="fas fa-times"></i>
    </div>
  </div> -->
  <script src="./main.js"></script>
  <script>
    function message({
      title ='', 
      message = '', 
      type = 'info', 
      duration = 3000
    }) {
      const main = document.getElementById('message');
      if(main) {
        const messageItem = document.createElement('div');

        const timeOut = setTimeout(function() {
          main.removeChild(messageItem);
        }, duration + 2000);

        messageItem.onclick = function(e) {
          if(e.target.closest('.message__close')) {
            clearTimeout(timeOut);
            main.removeChild(messageItem);
          }
        }
        messageItem.classList.add("message",`message--${type}`);
        messageItem.style.animation = `animationNot ease 1s,hide linear 1s ${duration}s forwards`
        const icons = {
          success: "fas fa-check-circle",
          infor: "fas fa-info-circle",
          warning: "fas fa-exclamation-circle"
        }
        messageItem.innerHTML = `
          <div class="message__icon">
            <i class="${icons[type]}"></i>
          </div>
          <div class="message__notification">
            <h4>${title}</h4>
            <p>${message}</p>
          </div>
          <div onclick="closeNot()" class="message__close">
            <i class="fas fa-times"></i>
          </div>
        `;
        main.appendChild(messageItem);
        
      }
    }

    function showSuccess() {
      message({
      title: "Success",
      message:"Anyone with access can view your invited visitors",
      type: "success",
      duration: 3000
    })
    }

    function showInfor() {
      message({
      title: "infor",
      message:"Anyone with access can view your invited visitors",
      type: "infor",
      duration: 3000
    })
    }

    function showWarning() {
      message({
      title: "warning",
      message:"Anyone with access can view your invited visitors",
      type: "warning",
      duration: 3000
    })
    }
  </script>
</body>
</html>